#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	makemkv
Version		:	1.17.4
Release		:	16.2.1.rel%{?dist}
Summary		:	DVD and Blu-ray to MKV converter

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	custom: GuinpinSoft Inc EULA' LGPL MPL
URL		:	https://www.makemkv.com/download/

Source0		:	%{name}-oss-%{version}.tar.gz
Source1		:	%{name}-bin-%{version}.tar.gz
Source10	:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-fix-build-with-ffmpeg6.patch

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	qt
BuildRequires	:	ffmpeg-devel
#-----------------------------------------------------------------------------
%description
MakeMKV is your one-click solution to convert video
that you own into free and patents-unencumbered format
that can be played everywhere. MakeMKV is a format
converter, otherwise called "transcoder". It converts
the video clips from proprietary (and usually encrypted)
disc into a set of MKV files, preserving most information
but not changing it in any way. The MKV format can store
multiple video/audio tracks with all meta-information and
preserve chapters.
There are many players that can play MKV files nearly on
all platforms, and there are tools to convert MKV files
to many formats, including DVD and Blu-ray discs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/mmccextr
%{_bindir}/mmgplsrv
%{_bindir}/makemkvcon
%{_bindir}/sdftool
%{_libdir}/libdriveio.so.0
%{_libdir}/lib%{name}.so.1
%{_libdir}/libmmbd.so.0
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/licenses/%{name}/eula_en_linux.txt
%{_datadir}/MakeMKV/appdata.tar
%{_datadir}/MakeMKV/blues.jar
%{_datadir}/MakeMKV/blues.policy
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/makemkvcon.1.gz
%{_mandir}/man1/mmdtsdec.1.gz

#=============================================================================
%prep
%setup -q -n %{name}-oss-%{version}
%patch -P 0 -p1

tar xf %{SOURCE1}
tar xf %{SOURCE10}

#-----------------------------------------------------------------------------
#building application
%build

 CC=gcc CXX=g++ 					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

desktop-file-install   						\
	--delete-original					\
	--dir %{buildroot}%{_datadir}/applications 		\
	%{buildroot}%{_datadir}/applications/*.desktop 		\

pushd %{name}-bin-%{version} > /dev/null

install -d tmp
echo accepted > tmp/eula_accepted

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

install -d tmp
  echo accepted > tmp/eula_accepted
%{__make}							\
	DESTDIR=%{buildroot}					\
	install

install -d %{buildroot}%{_datadir}/licenses/%{name}
install -m 644							\
	src/eula_en_linux.txt					\
	%{buildroot}%{_datadir}/licenses/%{name}/
popd

install -d %{buildroot}%{_mandir}/man1/
install -m 644							\
	-t %{buildroot}%{_mandir}/man1/				\
	%{name}-ok_addon/makemkvcon.1				\
	%{name}-ok_addon/mmdtsdec.1				\
	%{name}-ok_addon/%{name}.1

#-----------------------------------------------------------------------------
%changelog
